org.vertx.java.core.http.impl.ws.hybi08

## Class WebSocketFrameDecoder08

- java.lang.Object
- - org.jboss.netty.channel.SimpleChannelUpstreamHandler
  - - org.jboss.netty.handler.codec.frame.FrameDecoder
    - - org.jboss.netty.handler.codec.replay.ReplayingDecoder<org.jboss.netty.handler.codec.replay.VoidEnum>
      - - org.vertx.java.core.http.impl.ws.hybi08.WebSocketFrameDecoder08

All Implemented Interfaces:
  org.jboss.netty.channel.ChannelHandler, org.jboss.netty.channel.ChannelUpstreamHandler, org.jboss.netty.channel.LifeCycleAwareChannelHandler

    public class WebSocketFrameDecoder08
    extends org.jboss.netty.handler.codec.replay.ReplayingDecoder<org.jboss.netty.handler.codec.replay.VoidEnum>

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

`org.jboss.netty.channel.ChannelHandler.Sharable`

### Field Summary

Fields
`static int` `DEFAULT_MAX_FRAME_SIZE`

### Fields inherited from class org.jboss.netty.handler.codec.frame.FrameDecoder

`cumulation`

### Method Summary

Methods
`protected java.lang.Object` `decode(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.Channel channel, org.jboss.netty.buffer.ChannelBuffer buffer, org.jboss.netty.handler.codec.replay.VoidEnum state)`
`protected WebSocketFrame.FrameType` `decodeFrameType(int opcode)`

### Methods inherited from class org.jboss.netty.handler.codec.replay.ReplayingDecoder

`checkpoint, checkpoint, cleanup, decode, decodeLast, decodeLast, getState, messageReceived, setState`

### Methods inherited from class org.jboss.netty.handler.codec.frame.FrameDecoder

`actualReadableBytes, afterAdd, afterRemove, beforeAdd, beforeRemove, channelClosed, channelDisconnected, exceptionCaught, internalBuffer, newCumulationBuffer, replace, unfoldAndFireMessageReceived`

### Methods inherited from class org.jboss.netty.channel.SimpleChannelUpstreamHandler

`channelBound, channelConnected, channelInterestChanged, channelOpen, channelUnbound, childChannelClosed, childChannelOpen, handleUpstream, writeComplete`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_MAX_FRAME_SIZE

    public static final int DEFAULT_MAX_FRAME_SIZE

See Also:
  Constant Field Values

### Method Detail

#### decode

    protected java.lang.Object decode(org.jboss.netty.channel.ChannelHandlerContext ctx,
                          org.jboss.netty.channel.Channel channel,
                          org.jboss.netty.buffer.ChannelBuffer buffer,
                          org.jboss.netty.handler.codec.replay.VoidEnum state)
                               throws java.lang.Exception

Specified by:
  `decode` in class `org.jboss.netty.handler.codec.replay.ReplayingDecoder<org.jboss.netty.handler.codec.replay.VoidEnum>`
Throws:
  `java.lang.Exception`

#### decodeFrameType

    protected WebSocketFrame.FrameType decodeFrameType(int opcode)